### Function

# ECal ComponentAlarmTrigger new_relative

since: 3.34

#### Declaration [src]

    ECalComponentAlarmTrigger*
    e_cal_component_alarm_trigger_new_relative (
      ECalComponentAlarmTriggerKind kind,
      const ICalDuration* duration
    )

#### Description [src]

Creates a new `ECalComponentAlarmTrigger` structure, set with the given `kind` and `duration`. The `kind` can be any but the `E_CAL_COMPONENT_ALARM_TRIGGER_ABSOLUTE`. To create an absolute trigger use e_cal_component_alarm_trigger_new_absolute(). Free the trigger with e_cal_component_alarm_trigger_free(), when no longer needed.

Available since: 3.34

#### Parameters

`kind`

  Type: `ECalComponentAlarmTriggerKind`

  An `ECalComponentAlarmTriggerKind`, any but the `E_CAL_COMPONENT_ALARM_TRIGGER_ABSOLUTE`.

`duration`

  Type: `None`

  The duration relative to `kind`, as an `ICalDuration`.

  The data is owned by the caller of the function.

#### Return value

Type: `ECalComponentAlarmTrigger`

A newly allocated `ECalComponentAlarmTrigger`.

The caller of the function takes ownership of the data, and is responsible for freeing it.